### Class

# Gimp ImageProcedure

#### Description [src]

    class Gimp.ImageProcedure : Gimp.Procedure {
      parent_instance: GimpProcedure,
      priv: GimpImageProcedurePrivate*
    }

A `GimpProcedure` subclass that makes it easier to write standard plug-in procedures that operate on drawables.

It automatically adds the standard

( `GimpRunMode`, `GimpImage`, `GimpDrawable` )

arguments of an image procedure. It is possible to add additional arguments.

When invoked via `gimp_procedure_run()`, it unpacks these standard arguments and calls `run_func` which is a `GimpRunImageFunc`. The “args” `GimpValueArray` of `GimpRunImageFunc` only contains additionally added arguments.

#### Ancestors

- GimpProcedure
- GObject

#### Constructors

###### gimp_image_procedure_new

Creates a new image procedure named `name` which will call `run_func` when invoked.

Available since: 3.0

#### Instance methods

##### Methods inherited from GimpProcedure (45)

Please see GimpProcedure for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpProcedure (3)

###### Gimp.Procedure:name

No description available.

###### Gimp.Procedure:plug-in

No description available.

###### Gimp.Procedure:procedure-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpImageProcedureClass {
      GimpProcedureClass parent_class;

    }

###### Class members

`parent_class`

    GimpProcedureClass

| No description available.